/**
 * File: ScroogeAndMarley.js
 * -------------------------
 * This file illustrates the use of structures as aggregates.
 */
function ScroogeAndMarley() {
   let employees = [
      { name: "Ebenezer Scrooge", title: "CEO", salary: 1000 },
      { name: "Bob Cratchit", title: "clerk", salary: 25} 
   ];
   printPayroll(employees);
}

/*
 * Prints a payroll listing for the employee list passed as an argument.
 */
function printPayroll(employees) {
   for (let i = 0; i < employees.length; i++) {
      let emp = employees[i];
      console.log(emp.name + " (" + emp.title + ") £" +
                  emp.salary);
   }
}

